跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Dismiss a dependency alert

POST
/repos/{owner}/{repo}/security/dependency_alerts/{index}/dismiss
curl --request POST \
--url https://gitea.example.com/api/v1/repos/example/example/security/dependency_alerts/1/dismiss \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "dismiss_reason": "example" }'

Gitea Enterprise only. This endpoint is not part of the community edition.

owner
required
string

Name of the owner

repo
required
string

Name of the repository

index
required
integer

Index of the alert

Reason for dismissing the alert. If omitted or empty, the server uses a default reason. The server still accepts dismiss_reason via formData for backward compatibility, but it is not recommended; prefer using the JSON body.

Media typeapplication/json
object
dismiss_reason
string
Examplegenerated
{
"dismiss_reason": "example"
}

APIEmpty is an empty response

Media typeapplication/json

APIError is error format response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json

APIError is error format response

Media typeapplication/json
message
string
url
string